Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hantinh

[nhờ sửa] sửa giúp lsp chia dim

Các bài được khuyến nghị

hantinh    45

hiện tại con lsp này nó hok chia dim ra thành từng dim nhỏ trong khoảng dim của nó

(defun C:SD (/sel newpt ent edata elist)
(if (and
 (setq sel (entsel "\nSelect Demension to Split."))
 (setq newpt (getpoint "\Select new Dim Point"))
)
(progn
  (setq ent (car sel)
 edata (entget ent)
 elist (vl-remove-if
  '(lambda (pair)
	(member
(car pair)
(list -1 2 5 102 310 300 330 331 340 350 350 410)
 	)
  )
  edata
   	)
)
  (entmod
	(subst (cons 14 newpt)
	(assoc 14 elist)
	)
  )
  (entmakex
	(subst
 (cons 13 newpt)
 (assoc 13 elist)
 elist
  	)
	)
)
   	)
(princ "SplitDims")
  )

Untitled-1.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

hiện tại con lsp này nó hok chia dim ra thành từng dim nhỏ trong khoảng dim của nó

(defun C:SD (/sel newpt ent edata elist)
(if (and
 (setq sel (entsel "\nSelect Demension to Split."))
 (setq newpt (getpoint "\Select new Dim Point"))
)
(progn
  (setq ent (car sel)
 edata (entget ent)
 elist (vl-remove-if
  '(lambda (pair)
(member
(car pair)
(list -1 2 5 102 310 300 330 331 340 350 350 410)
 	)
  )
  edata
   	)
)
  (entmod
(subst (cons 14 newpt)
(assoc 14 elist)
)
  )
  (entmakex
(subst
 (cons 13 newpt)
 (assoc 13 elist)
 elist
  	)
)
)
   	)
(princ "SplitDims")
  )

 

Hề hề hề,

Bạn hãy xem lại dòng code này:

(entmod (subst (cons 14 newpt) (assoc 14 elist) ) )

Theo thiển ý của mình thì hàm (subst .....) bị thiếu đối số bạn ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hantinh    45

Mình đã xem lại đungs là thiếu 1 đôi số nhw bạn thanh bình nói đã sửa lại. Nhưng nó vẫn hok có chịu chạy.

bạn nào hiểu lý do lại sao bảo minh với

(defun C: SD (/sel newpt ent edata elist)
 (if (and
(setq sel (entsel "\nSelect Dimension to Split."))
(setq newpt (getpoint "\Select newDim Point"))
)
(progn
 	(setq ent (car sel)
edat (entget ent)
elist (vl-remove-if
 	'(lambda (pair)
		(member
(car pair)
(list -1 2 5 102 310 300 330 331 340 350 360 410)
)
		)
 	edata
 	)
)
 	(entmod
(subst (cons 14 newpt)
   	(assoc 14 elist)
   	edata
   	)
)
 	(entmakex
(subst
  (cons 13 newpt)
  (assoc 13 elist)
  elist
  )
)
 	)
)
 (princ "SplitDims")
 )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Trong code đó có 2 lệnh, bạn mới sờ vào cái lệnh đầu - là lệnh làm gọn chân Dim. Hay chính xác hơn là bạn nhầm lệnh ^^ Trên Video đã thể hiện rõ tên lệnh rồi mà

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quansla    232

Hề hề hề,

Bạn hãy xem lại dòng code này:

(entmod (subst (cons 14 newpt) (assoc 14 elist) ) )

 

Theo thiển ý của mình thì hàm (subst .....) bị thiếu đối số bạn ạ.

Dòng này đúng là sai cấu trúc thêm vào cuối edata là xon. Chi tiết như thế này

thêm edata (màu đỏ) vào vị trí màu như sau:

 

(entmod

(subst (cons 14 newpt)

(assoc 14 elist)

edata

)

)

Lisp không có tác dụng với DIM sử dụng tính năng Annotative

Chỉnh sửa theo quansla

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Trong code đó có 2 lệnh, bạn mới sờ vào cái lệnh đầu - là lệnh làm gọn chân Dim. Hay chính xác hơn là bạn nhầm lệnh ^^ Trên Video đã thể hiện rõ tên lệnh rồi mà

Hề hề hề,

Chắc phải đổi tên cái lisp của bác ketxu thành Xenvay.lsp.

Chắc bác xén nhiều lần nên cái váy nó còn ngắn cũn cỡn mất rồi.

Hề hề hề....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×